GFS_ACL_TO_ANY_TEXT(3)

NAME
gfs_acl_to_any_text - convert a Gfarm ACL to text

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_to_any_text(gfarm_acl_t acl, const char *prefix, char separator, int options, char **str_p);

INPUT ARGUMENTS

acl
    An ACL structure type.

prefix
    If the argument prefix is not NULL, each entry can have this character string.

separator
    ACL entries are separeted by this separator character.

options
    Bitwise combinations of the following OPTIONS section.

str_p
    A pointer to the long text form string of the ACL.

OPTIONS

GFARM_ACL_TEXT_ABBREVIATE
    Instead of the full tag type keywords, single letter abbreviations are used.

GFARM_ACL_TEXT_SOME_EFFECTIVE
    A comment containing the effective permissions in some ACL entries.

GFARM_ACL_TEXT_ALL_EFFECTIVE
    A comment containing the effective permissions in all ACL entries.

GFARM_ACL_TEXT_SMART_INDENT
    If this option is used with the GFARM_ACL_TEXT_SOME_EFFECTIVE or GFARM_ACL_TEXT_ALL_EFFECTIVE option, the effective comment is aligned to column 40.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_free(3), gfs_acl_to_text(3), gfs_acl_from_text(3)